'From Squeak3.7beta of ''1 April 2004'' [latest update: #5969] on 13 July 2004 at 3:20:16 am'!
"Change Set:		SMBaseAndLoader-r4-r8-gk
Date:			13 July 2004
Author:			Gran Krampe

Upgrade SqueakMap2 base to version 1.01 (r8) and SqueakMap2 loader to version 1.01 (r4).

NOTE: This changeset also includes removals so that upgrading using MCInstaller should work fine."

| map v |
Cursor wait showWhile:[
map _ SMSqueakMap default loadUpdates.
map silentlyDo: [
"Install r8 (autoversion) of SqueakMap2 base if not installed or an older one is installed"
v _ map installedVersionOfPackageWithId: (UUID fromString: 'c4c13ea3-e376-42c7-8d9e-dc23b09f9f29').
(v isNil or: [v < '8' asVersion]) ifTrue: [
	map installPackageWithId: 'c4c13ea3-e376-42c7-8d9e-dc23b09f9f29' autoVersion: '8']].

map silentlyDo: [
"Install r4 (autoversion) of SqueakMap2 loader if not installed or an older one is installed"
v _ map installedVersionOfPackageWithId: (UUID fromString: '941c0108-4039-4071-9863-a8d7d2b3d4a3').
(v isNil or: [v < '4' asVersion]) ifTrue: [
	map installPackageWithId: '941c0108-4039-4071-9863-a8d7d2b3d4a3' autoVersion: '4']]]




!

Object subclass: #SMSqueakMap
	instanceVariableNames: 'packages accounts objects categories dir transactionCounter firstTransactionNumber daysBacklog adminPassword installedPackages installCounter fileCache users mutex dirtyList isDirty checkpointNumber silent '
	classVariableNames: 'DefaultMap ServerList '
	poolDictionaries: ''
	category: 'SMBase-domain'!
SMSqueakMap removeSelector: #deleteCategoryWithId:inCardWithId:!
SMSqueakMap removeSelector: #deleteCategoryWithId:inObjectWithId:!
Object subclass: #SMSqueakMap
	instanceVariableNames: 'packages accounts objects categories dir transactionCounter firstTransactionNumber daysBacklog adminPassword installedPackages installCounter fileCache users mutex dirtyList isDirty checkpointNumber silent'
	classVariableNames: 'DefaultMap ServerList'
	poolDictionaries: ''
	category: 'SMBase-domain'!

!SMSqueakMap reorganize!
('queries' accountForEmail: accountForName: accountForUsername: accountWithId: accountWithName: accountsByInitials accountsByName categoryWithId: categoryWithNameBeginning: object: objectWithId: packageReleaseWithId: packageWithId: packageWithName: packageWithNameBeginning: packageWithPI: packagesByName topCategories)
('public-master' addCategory:inObject: addObject: changeCategoriesTo:inObject: moveCategory:toAfter:inParent: moveCategory:toParent: newAccount:username:email: removeCategory:inObject:)
('private' checkVersion: clearCaches clearCachesFor: clearUsernames copyFrom: countInstall deleteCategory: deleteObject: emailOccupied: loadFullFrom: loadUpdatesFull: mandatoryCategoriesFor: newAccount newObject: packageCacheDirectoryName pingServer: synchWithDisk usernameOccupied: verifyAdminPassword:)
('public-installation' clearInstalledPackageWithId: clearInstalledPackages installPackage: installPackage:autoVersion: installPackageLatestPublished: installPackageLatestPublishedNamed: installPackageNamed: installPackageNamed:autoVersion: installPackageRelease: installPackageReleaseWithId: installPackageWithId: installPackageWithId:autoVersion: installedPackageReleases installedPackages installedPackagesDictionary installedPackagesDictionary: installedReleaseOf: installedVersionOf: installedVersionOfPackageWithId: noteInstalled: noteInstalledPackage:autoVersion: noteInstalledPackageNamed:autoVersion: noteInstalledPackageWithId:autoVersion: noteInstalledPackageWithId:autoVersion:name: silentlyDo: upgradeOldPackages upgradeOldPackagesConfirmBlock: upgradePackage:)
('private-installation' markInstalled:version:time:counter: noteInstalledPackage:version: noteInstalledPackage:version:atSeconds:number: noteInstalledPackageWithId:autoVersion:atSeconds:number: noteUninstalled: noteUninstalledPackageWithId:autoVersion:name:)
('accessing' accounts adminPassword: cache categories checkpointNumber daysBacklog daysBacklog: directory firstTransactionNumber objects packageCacheDirectory packages silent users)
('checkpoints' compressFile: createCheckpoint createCheckpointNumber: extension filename getLastCheckpointWithFilename isCheckpointAvailable lastCheckpointFilename lastCheckpointNumberOnDisk nextFileNameForCheckPoint saveCheckpoint:)
('public-packages' allPackages availablePackages installableAndNotInstalledPackages installablePackages notInstalledPackages oldPackages upgradeableAndOldOrInstallableAndNotInstalledPackages upgradeableAndOldPackages upgradeablePackages)
('views' viewFor:)
('transactions' addDirty: isDirty mutex setDirty transaction:)
('public' loadFull loadUpdates purge reload)
('initialize-release' initializeOn:)
!

SMPackage removeSelector: #currentVersion:!
SMPackage removeSelector: #maintainer:!
SMPackage removeSelector: #releaseWithSmartVersion:!
SMPackage removeSelector: #versionComment!
SMPackage removeSelector: #versionComment:!
SMLoader removeSelector: #browsePackageDirectory!
